<template name="ArticleDetails">
  <article class="article-details">
    <h1>{{ article.name }}</h1>
    <div class="article-info">
      <div>
        <img src="{{ image.link }}" alt="{{ image.name }}">
      </div>
      <div>
        <h2>{{ article.category }} {{ article.brand }}</h2>
        <table class="general-properties">
          <tr>
            <td>Numéro de modèle</td>
            <td>{{ article.modelNumber }}</td>
          </tr>
          {{#if article.series}}
            <tr>
              <td>Numéro de série</td>
              <td>{{ article.series }}</td>
            </tr>
          {{/if}}
          {{#if article.color}}
            <tr>
              <td>Couleur</td>
              <td>{{ article.color }}</td>
            </tr>
          {{/if}}
        </table>
        {{#if article.description}}
        <p>{{ article.description }}</p>
        {{/if}}
        <div class='article-cart'>
          {{#if article.isAvailable}}
            {{#if hasPromotions}}
              <span class="article-discount">
                -{{ totalDiscount }}%
              </span>
            {{/if}}
            <p class='article-price'>
              {{#if hasPromotions}}
                <del>{{ article.price }}€</del>&nbsp;{{ discountedPrice }}€
              {{else}}
                {{ article.price }}€
              {{/if}}
              <span data-action="add-to-cart" class="add-to-cart">
                <i class="fa fa-cart-plus"></i>
              </span>
            </p>
            {{#if quantityInCart}}
              <span class="quantity-in-cart">Cet article est présent<br>
                {{ quantityInCart }} fois dans votre panier.</span><br>
            {{/if}}
          {{else}}
            <p><i class="fa fa-warning"></i> Cet article n'est pas disponible à la vente!</p>
          {{/if}}
        </div>
      </div>
      <div>
        <p>
          Lien permanent vers cet article
          <input type="text" value="{{ urlFor 'articlePermalink' articleId=article._id }}" readonly>
        </p>
      </div>
    </div>
    <table class="properties">
      {{#each article.technicals}}
        {{#if value}}
          <tr>
            <td>{{ name }}</td>
            <td>{{ value }}</td>
          </tr>
        {{/if}}
      {{/each}}
    </table>
  </article>
</template>
